Skip to main content
POST
Enrich Data
The API provides the ability to request data (email, phone number, LinkedIn information) in multiple ways:
  • Given some input (email, LinkedIn URL, etc.) for a single enrichment
  • Bulk inputs that process many data points at once
All enrichment APIs are asynchronous. There are two ways to retrieve your enriched data:
  1. Call the GET endpoint with the enrichmentId that was provided
  2. Use webhooks to receive notifications when enrichment is complete

Result

bvelitchkine

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

findEmail
boolean

Find verified email

verifyEmail
boolean

Verify existing email

linkedinEnrichment
boolean

Run LinkedIn enrichment

email
string

Email address

linkedinUrl
string

LinkedIn URL

firstName
string

First name

lastName
string

Last name

companyDomain
string

Company domain

companyName
string

Company name

findPhone
boolean

Find phone number

webhookUrl
string

Webhook URL for enrichment events

Response

Success

The response is of type object.